import {getAllRoleList} from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import {h} from "vue";
import {Input, Select, Tag} from "ant-design-vue";
import { Switch } from 'ant-design-vue';
import {useMessage} from "@/hooks/web/useMessage";
import {changeFlagApi} from "@/api/system/user/user";
import {DescItem} from "@/components/Description";
import {uploadApi} from "@/api/sys/upload"; // 引入开关组件
type CheckedType = boolean | string | number;

/**主页面列表 表头*/
export const columns1: BasicColumn[] = [
  {
    title: '排名',
    dataIndex: 'sort',
    width: 150,
    slots: { customRender: 'sort' },
  },
  {
    title: '资源名称',
    dataIndex: 'sourceName',
    width: 150,
    slots: { customRender: 'sourceName' },
  },
  {
    title: '权属机构',
    dataIndex: 'mechanism',
    width: 150,
  },
  {
    title: '访问量',
    dataIndex: 'trafficVolume',
    width: 150,
  },
];
/**主页面列表 表头*/
export const columns2: BasicColumn[] = [
  {
    title: '访问时间',
    dataIndex: 'viewTime',
    width: 150,
  },
  {
    title: '资源名称',
    dataIndex: 'sourceName',
    width: 150,
    slots: { customRender: 'sourceName' },
  },
  {
    title: '权属机构',
    dataIndex: 'institution',
    width: 150,
  },
];
